<xsl:stylesheet version="1.0"
 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns="http://www.openpreservationexchange.org/opex/v1.0"
 xmlns:x="http://www.openpreservationexchange.org/opex/v1.0"
 exclude-result-prefixes="x">
	<xsl:output method="xml"
	version="1.0"
	encoding="UTF-8"
	indent="yes"/>
	<xsl:strip-space elements="*"/>

	<xsl:template match="@* | node()">
		<xsl:copy>
			<xsl:apply-templates select="@* | node()"/>
		</xsl:copy>
	</xsl:template>	
	
	<xsl:template match="x:SourceID">
		<xsl:choose>
			<xsl:when test="/x:OPEXMetadata/x:DescriptiveMetadata/x:MDTO">
				
				<xsl:variable name="identificatieKenmerk">
					<xsl:for-each select="/x:OPEXMetadata/x:DescriptiveMetadata/x:MDTO/x:informatieobject/x:identificatie/x:identificatieKenmerk">
						<xsl:if test="position() > 1">
							<xsl:text> - </xsl:text>
						</xsl:if>
						<xsl:value-of select="."/>
					</xsl:for-each>
				</xsl:variable>
				<SourceID><xsl:value-of select="$identificatieKenmerk"/></SourceID>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="x:Title">
		<xsl:choose>
			<xsl:when test="/x:OPEXMetadata/x:DescriptiveMetadata/x:MDTO">
				<Title><xsl:value-of select="/x:OPEXMetadata/x:DescriptiveMetadata/x:MDTO/x:informatieobject/x:naam/text()"/></Title>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="x:Description">
		<xsl:choose>
			<xsl:when test="/x:OPEXMetadata/x:DescriptiveMetadata/x:MDTO">
				<Description><xsl:value-of select="/x:OPEXMetadata/x:DescriptiveMetadata/x:MDTO/x:informatieobject/x:omschrijving/text()"/></Description>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="x:SecurityDescriptor">
		<xsl:choose>
			<xsl:when test="not(/x:OPEXMetadata/x:DescriptiveMetadata/x:MDTO/x:bestand)">
				<SecurityDescriptor>closed</SecurityDescriptor>
			</xsl:when>
			<!--
			<xsl:otherwise>
				<xsl:copy-of select="."/>
			</xsl:otherwise>
			-->
		</xsl:choose>
	</xsl:template>

	<xsl:template match="@xsi:noNamespaceSchemaLocation"/>
	
</xsl:stylesheet>

