<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns="http://www.openpreservationexchange.org/opex/v1.0"
 xmlns:x="http://www.openpreservationexchange.org/opex/v1.0"
 exclude-result-prefixes="x">
	<xsl:output method="xml"
	version="1.0"
	encoding="UTF-8"
	indent="yes"/>
	<xsl:strip-space elements="*"/>

	<xsl:template match="@* | node()">
		<xsl:copy>
			<xsl:apply-templates select="@* | node()"/>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="x:SourceID">
		<xsl:choose>
			<xsl:when test="/x:OPEXMetadata/x:DescriptiveMetadata/x:ToPX/x:aggregatie">
				<SourceID><xsl:value-of select="/x:OPEXMetadata/x:DescriptiveMetadata/x:ToPX/x:aggregatie/x:identificatiekenmerk/text()"/></SourceID>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="x:Title">
		<xsl:choose>
			<xsl:when test="/x:OPEXMetadata/x:DescriptiveMetadata/x:ToPX/x:bestand">
				<Title><xsl:value-of select="/x:OPEXMetadata/x:DescriptiveMetadata/x:ToPX/x:bestand/x:naam/text()"/></Title>
			</xsl:when>
			<xsl:when test="/x:OPEXMetadata/x:DescriptiveMetadata/x:ToPX/x:aggregatie">
				<Title><xsl:value-of select="/x:OPEXMetadata/x:DescriptiveMetadata/x:ToPX/x:aggregatie/x:naam/text()"/></Title>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="x:Properties[not(x:SecurityDescriptor) and not(/x:OPEXMetadata/x:DescriptiveMetadata/x:ToPX/x:bestand)]">
		<Properties>
		<xsl:apply-templates/>
			<SecurityDescriptor>closed</SecurityDescriptor>
		</Properties>
	</xsl:template>
	
	<xsl:template match="x:Description">
		<Description></Description>
	</xsl:template>
	
	<xsl:template match="x:SecurityDescriptor">
		<SecurityDescriptor>closed</SecurityDescriptor>
	</xsl:template>

</xsl:stylesheet>

